Bug 2671 - AMD Control Center could not start under non-root user
: AMD Control Center could not start under non-root user
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-10 09:07 MSD by FirstLevel
Modified: 2014-06-03 15:14 MSD (History)
3 users (show)

See Also:
RPM Package: fglrx-control-center-13.200.5-1-rosa2012.1.i586
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description FirstLevel 2013-09-10 09:07:35 MSD
Description of problem:
I have installed ROSA 2012.1 Fresh and use proprietary driver for my videocard
[serge@localhost ~]$ rpm -qa | grep fglrx
dkms-fglrx-13.200.5-1-rosa2012.1.i586
x11-driver-video-fglrx-13.200.5-1-rosa2012.1.i586
fglrx-devel-13.200.5-1-rosa2012.1.i586
fglrx-opencl-13.200.5-1-rosa2012.1.i586
fglrx-control-center-13.200.5-1-rosa2012.1.i586

AMD Control Center could not start under non-root user. It is crashed 
[serge@localhost ~]$ amdcccle
Setting of real/effective user Id to 0/0 failed
libGL error: open uki failed (Операция не позволяется)
libGL error: reverting to (slow) indirect rendering
Ошибка сегментирования (слепок снят)
[serge@localhost ~]$ 


But AMD CC is started successfully under root.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
Comment 1 Aleksandr Kazantcev 2013-09-10 09:18:51 MSD
This program need write access to /etc and root permissions, so not be started from CLI with user rights. If start from menu shortcut not worked?
Comment 2 FirstLevel 2013-09-10 15:23:56 MSD
(In reply to comment #1)
> This program need write access to /etc and root permissions, so not be
> started from CLI with user rights. If start from menu shortcut not worked?

AMD Control Center could not start if I click on its icon in SW too.
AMD Control Center for administrator works well if I click on its icon in SW.
Comment 3 ra oeai 2013-10-09 11:54:37 MSD
do:
chmod -R 555 /proc/ati
Comment 4 ra oeai 2013-10-09 18:12:59 MSD
the better solution is to

chown root:users /proc/ati

or to some @hardware group that all users will be enabled into
so then to 

chmod -R 550 /proc/ati
Comment 5 ra oeai 2013-10-10 21:36:08 MSD
and actually i think that there should be some more complicated SELinux policy about that
Comment 6 Aleksandr Kazantcev 2013-10-10 21:38:20 MSD
ROSA not use SE linux and we use upstream path and permission from AMD. A think this is wontfix.
Comment 7 ra oeai 2013-10-10 22:47:42 MSD
if there's no selinux
then just adding a %post script in rpm can resolve it easily
Comment 8 FirstLevel 2013-11-18 09:05:22 MSK
User has told that problem was solved with latest updates
Comment 9 FirstLevel 2014-06-03 15:14:40 MSD
checking the relevance